language: cn
model_unique_abbr: D8FlowAccumulation_whiteboxtools #简称，用于模型间关联，分大小写，不允许空格
version: 1.0
identification:
  docker_image_name: whitebox-tools:2.0.0
  model_name: 汇流累积量_D8（单位汇水面积）
  semantic: FlowAccumulation  #（最后梳理成语义库）
  category_application: 处方型 #应用层次类别
  category_data:
    - DEM数据
  description: 汇流累积量算法是用于定量指示地表水流受地形控制下的空间分配的算法。该算法根据流向算法计算的水流方向及分配，确定每一个像元上水流的累积量。 #功能描述
  keywords:
  - 地形分析
  - 水文分析
  - 单流向

parameter_info:
  parameters:
  - arg_name: r
    param_type: param
    visible: false #是否暴露给前端，不填则默认true。并行进程数这类参数则填false，前端不可见
    name: 计算方式
    description: 对输入数据进行计算的方式
    is_required: false
    data_type: str
    data_semantic: operation mode #参数语义
    specification:
      default: D8FlowAccumulation
  - arg_name: i
    param_type: input_data
    name: 输入数据
    description: 输入已填洼 DEM 文件
    is_required: true
    data_type: tif
    data_semantic: filled_dem #参数语义
  - arg_name: o
    param_type: output_data
    name: 输出数据
    description: 输出栅格文件。
    is_required: true
    data_type: tif
    data_semantic: flow_accumulation #参数语义
  - arg_name: out_type
    is_single_en_dash: false
    param_type: param
    visible: true #是否暴露给前端，不填则默认true。并行进程数这类参数则填false，前端不可见
    name: 输出类型
    description: 输出类型，默认为cells
    is_required: false
    data_type: enum
    data_semantic: out_type #参数语义
    specification:
      default: cells
      range:
      enum: ["cells","catchment area","specific contributing area"]
  - arg_name: clip
    is_single_en_dash: false
    param_type: param
    visible: true #是否暴露给前端，不填则默认true。并行进程数这类参数则填false，前端不可见
    name: 剪切
    description: 要求剪切显示最大1%
    is_required: false
    data_type: bool
    data_semantic: clip #参数语义
    specification:
      default: "false"
 
  

application:
  domain: 水文分析数据预处理 #应用领域
  objective: 通常用于生成流量累积网格（即集水区）。 #应用目标
  link_models: #关联模型
    preorder: ["BreachDepressionsLeastCost_whiteboxtools"] #上游模型，即当前模型的输入模型
  dimension: [二维]  #空间维度
  mechanism: 该算法根据单流向算法计算的水流方向及分配，确定每一个像元上水流的累积量。 #机理
operation:
  usage: 用户必须指定输入 DEM 文件的名称、输出的栅格文件 ，可选参数为输出类型、日志、剪辑、输入栅格数据格式和输入D8指针样式。
  exec_example: #使用示例
  - docker run --rm -it -v $PWD/data:/data whitebox_tools:2.0.0 -r=D8FlowAccumulation -i=/data/FillDepressions_out.tif -o=/data/D8FlowAccumulation_out.tif  #先不填
  output_display:
  -  #先写文字
  license: ["MIT"] #许可证
  tips: 请注意，此模型不会填充 DEM 中的 NoData 区域。建议在应用之前处理此类区域。 #注意事项

technique:
  language: ["Rust"] #开发语言
  os: ["Linux", "Windows"] #操作系统
source:
  maintainer: Haotian Zhang
  organization: Wuhan University
  contact: 1049662535@qq.com
  repository: https://github.com/jblindsay/whitebox-tools
  integrated_softwares:
  - name: whitebox_tools #库名
    version: 2.0.0 #库版本
    license: MIT #库许可证
  references:
  - O'Callaghan, J. F., & Mark, D. M. 1984. The extraction of drainage networks from digital elevation data. Computer Vision, Graphics, and Image Processing, 28(3), 323-344. #author-date，可在最后加doi
  - https://www.whiteboxgeo.com/manual/wbt_book/available_tools/hydrological_analysis.html#D8FlowAccumulation
